Imports Microsoft.VisualBasic
Imports System

Namespace MSDN.SPTips.Task
	''' <summary>
	''' Stubbed implementation for the purpose of testing
	''' make sure you create a SharePoint Task list with 
	''' at least one item added to it.    
	''' </summary>
	Public Class StubbedTaskRepositoryConfig
		Implements ITaskRepositoryConfig

		Public ReadOnly Property SiteUrl() As String Implements ITaskRepositoryConfig.SiteUrl
			Get
				' IMPORTANT: You must change this value to
				' a SharePoint web containing a task list
				' with at least one list item in it
				' our implemenation uses the root web
				' so be sure to use the root web of a 
				' site collection for your testing.
				Return "http://ossrtm"
			End Get
		End Property


		Public ReadOnly Property ListName() As String Implements ITaskRepositoryConfig.ListName
			Get
				Return "Tasks"
			End Get
		End Property

		Public ReadOnly Property PercentCompleteFieldName() As String Implements ITaskRepositoryConfig.PercentCompleteFieldName
			Get
				Return "PercentComplete"
			End Get
		End Property

		Public ReadOnly Property TaskNameFieldName() As String Implements ITaskRepositoryConfig.TaskNameFieldName
			Get
				Return "Title"
			End Get
		End Property
	End Class
End Namespace
